#include <vector>
#include "testlib.h"

using namespace std;

constexpr int N = 500'000;
constexpr int A = 1e9;
constexpr int MAXN[] = {N, 8, N, N, N, 1000, N};

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int group = atoi(validator.group().c_str());
    int n = inf.readInt(1, MAXN[group], "n");
    inf.readSpace();
    int k = inf.readInt(1, n, "k");
    if (group == 2) {
        ensuref(k == 2, "k should be equal to 2");
    }
    inf.readEoln();
    auto a = inf.readInts(n, 1, A, "a");
    inf.readEoln();
    if (group == 3) {
        for (int i = 0; i + 1 < n; ++i) {
            ensuref(a[i + 1] <= a[i], "a[i + 1] > a[i]");
        }
    }
    if (group == 4) {
        for (int i = 0; i + 1 < n; ++i) {
            ensuref(a[i + 1] >= a[i] - 1, "a[i + 1] < a[i] - 1");
        }   
    }
    inf.readEof();
}
